Subject: Pine and Free Software

From: [email-masked] (Richard Stallman)
Date: Sat, 18 May 1996 15:11:49 GMT

Last month the GNU project began recruiting people to continue
maintainance of the free version of Pine.  We did this because the
latest Pine release is not free software.  It can't be used in the GNU
system (or any free operating system).

It's true that you can get a copy of the newer Pine gratis--"free" in
one sense of the word--over the Internet.  But this is not what "free
software" means.  Free software refers to freedom, not price.  More
precisely, it refers to certain specific, related freedoms.

What are these freedoms?

First, the freedom to copy a program, and distribute it to others;
second, the freedom to change a program as you wish, by having full
access to source code; third, the freedom to distribute a modified
version and thus contribute to the community.  Free software means you
can port it or improve it, and then share your work with others, who
can then make further improvements.  You can do these things either
gratis or for a fee.

(We could add a zeroth item to the list--the freedom to run the
program.  But in most cases that goes without saying.)

You may or may not pay a price to get a copy of a free program.  In
practice, many people get copies of free programs over the Internet
and don't have to pay, while many others pay to get copies of the same
programs on CD-ROM.  But no matter how you get your copy, these free
programs give you all the freedoms described above; that's what makes
them free programs.

The old distribution terms for Pine used to give everyone these
freedoms.  The new distribution terms do not.  For example, they don't
give permission for distributing modified versions.  You can write
"local modifications", but you can't release them to the community
for others to build on.

The new Pine terms permit redistribution by individuals, but not by
companies.  In this respect, too, the new Pine falls short of being
free software.

Either of these problems, by itself, makes it impossible to include
Pine in an operating system that is supposed to consist entirely of
free software.

This change in Pine distribution terms gave the GNU project just three
alternatives: stop using Pine, stay with Pine 3.91 forever, or start
independent development.  I chose the last alternative so that we can
continue offering users a supported version of Pine.

I made this choice with regret--after first trying my utmost to
convince the Pine developers at the University of Washington to
continue developing Pine as free software.  I wish we could continue
using their versions and avoid a fork in Pine development; I wish they
would change their minds for whatever reasons.

Whatever the people at the University of Washington do, we should do
whatever is best, under the circumstances, for the free software
community.

In the present circumstances, what is best is to maintain a separate
free version of Pine.